/* $Id: TestLayout.java 57 2007-11-21 18:31:52Z steven $
 * 
 * Copyright 2007 Steven Osborn
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package edu.berkeley.cs160.theflash.flashlight;

import android.app.ListActivity;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.Window;

public class AmbientHelp extends ListActivity {

    @Override
    public void onCreate(Bundle icicle) {
        super.onCreate(icicle);
     // Turn off the title bar
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        BulletedTextListAdapter2 btla = new BulletedTextListAdapter2(this);
        BulletedText2 bt0 = new BulletedText2("Ambient Help", getResources().getDrawable(R.drawable.ambient_small));
        BulletedText2 bt1 = new BulletedText2("Cycle Mode",getResources().getDrawable(R.drawable.direction_mid_small));
        btla.addItem(bt0);
        btla.addItem(bt1);
        setListAdapter(btla);
    }
    
    public boolean onKeyDown(int keyCode, KeyEvent event){
    	if(keyCode==KeyEvent.KEYCODE_DPAD_LEFT){
    		finish();
    	}
    	super.onKeyDown(keyCode, event);
    	return false;
    }
}