package edu.berkeley.cs160.theflash.flashlight;
import android.app.*;
import android.content.Intent;
import android.os.Bundle;
import android.widget.*;
import android.view.KeyEvent;
import android.view.View;
import android.view.Window;
import android.view.animation.*;
import android.graphics.*;
public class randomShapes extends Activity {
	ImageView mShapesView;
	@Override
	public void onCreate(Bundle icicle) {
		super.onCreate(icicle);
		requestWindowFeature(Window.FEATURE_NO_TITLE);
		setContentView(R.layout.randomshapes);
		ImageView lightSquareA = (ImageView) findViewById(R.id.dancinglight);
		ImageView lightSquareB = (ImageView) findViewById(R.id.dancinglight0);
		ImageView lightSquareC = (ImageView) findViewById(R.id.dancinglight1);
		ImageView lightSquareD = (ImageView) findViewById(R.id.dancinglight2);
		AnimationSet animationA = new AnimationSet(true);
		AnimationSet animationB = new AnimationSet(true);
		AnimationSet animationC = new AnimationSet(true);
		AnimationSet animationD = new AnimationSet(true);
		mShapesView = lightSquareA;
		mShapesView.setFocusable(true);
		RotateAnimation rotate360InHalfSecond = new RotateAnimation(
				0, 
				360, 
				RotateAnimation.RELATIVE_TO_SELF, 0.5f, 
				RotateAnimation.RELATIVE_TO_SELF, 0.5f);			
		rotate360InHalfSecond.setDuration(1000);
		rotate360InHalfSecond.setRepeatMode(Animation.REPEAT);
		
		AnimationSet alphaContainer = new AnimationSet(true);		
		AlphaAnimation alphaHighToLow = new AlphaAnimation( (float) 0.4, (float) 0.8);
		alphaHighToLow.setDuration(4000);
		alphaContainer.addAnimation(alphaHighToLow);		
		alphaContainer.setRepeatMode(Animation.REVERSE);
				
		ScaleAnimation scaleUp = new ScaleAnimation( 
				(float) 1.0, (float) 8.0, 
				(float) 1.0, (float) 8.0, 
				(float) 13.0, (float) 13.0);
		scaleUp.setDuration(1500);							
		AnimationSet scaleContainer = new AnimationSet(false);
		scaleUp.setRepeatMode(Animation.REVERSE);
		scaleContainer.addAnimation(scaleUp);		
		
		TranslateAnimation translation1 = new TranslateAnimation(
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, 4,
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, 0);
		
		TranslateAnimation translation2 = new TranslateAnimation(
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, 2);
		
		TranslateAnimation translation3 = new TranslateAnimation(
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, -4,
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, 0);
		
		TranslateAnimation translation4 = new TranslateAnimation(
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, -2);
		
		TranslateAnimation translation5 = new TranslateAnimation(
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, 4,
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, 0);
		
		TranslateAnimation translation6 = new TranslateAnimation(
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, -2);
		
		TranslateAnimation translation7 = new TranslateAnimation(
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, -4,
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, 0);
		
		TranslateAnimation translation8 = new TranslateAnimation(
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, 2);
		
		translation1.setDuration(1500);
		translation2.setDuration(1000);
		translation2.setStartOffset(500);
		
		translation3.setDuration(1500);		
		translation4.setDuration(1000);
		translation4.setStartOffset(500);
		
		translation5.setDuration(1500);
		translation6.setDuration(1000);	
		translation6.setStartOffset(500);
		
		translation7.setDuration(1500);		
		translation8.setDuration(1000);
		translation8.setStartOffset(500);
		
		AnimationSet translationSet1, translationSet2, translationSet3, translationSet4;
		translationSet1 = new AnimationSet(true);
		translationSet1.addAnimation(translation1);
		translationSet1.addAnimation(translation2);
		translationSet1.setRepeatMode(Animation.REPEAT);
		
		
		translationSet2 = new AnimationSet(true);
		translationSet2.addAnimation(translation3);
		translationSet2.addAnimation(translation4);
		translationSet2.setRepeatMode(Animation.REPEAT);
		
		
		translationSet3 = new AnimationSet(true);
		translationSet3.addAnimation(translation5);
		translationSet3.addAnimation(translation6);
		translationSet3.setRepeatMode(Animation.REPEAT);
		
		
		translationSet4 = new AnimationSet(true);
		translationSet4.addAnimation(translation7);
		translationSet4.addAnimation(translation8);
		translationSet4.setRepeatMode(Animation.REPEAT);
		
		
		animationA.addAnimation(alphaContainer);				
		animationA.addAnimation(rotate360InHalfSecond);
		animationA.addAnimation(scaleContainer);		
		animationA.addAnimation(translationSet1);		
		animationB.addAnimation(alphaContainer);
		animationB.addAnimation(rotate360InHalfSecond);
		animationB.addAnimation(scaleContainer);
		animationB.addAnimation(translationSet2);
		animationB.setStartOffset(500);
		animationC.addAnimation(alphaContainer);
		animationC.addAnimation(rotate360InHalfSecond);
		animationC.addAnimation(scaleContainer);
		animationC.addAnimation(translationSet3);
		animationC.setStartOffset(1000);
		animationD.addAnimation(alphaContainer);
		animationD.addAnimation(rotate360InHalfSecond);
		animationD.addAnimation(scaleContainer);
		animationD.addAnimation(translationSet4);
		animationD.setStartOffset(1500);
		lightSquareA.setBackgroundColor(Color.argb(255, 255, 1, 1));
		lightSquareB.setBackgroundColor(Color.argb(255, 1, 100, 1));
		lightSquareC.setBackgroundColor(Color.argb(255, 100, 1, 255));
		lightSquareD.setBackgroundColor(Color.argb(255, 255, 100, 255));
		
		lightSquareA.startAnimation(animationA);		
		lightSquareB.startAnimation(animationB);
		lightSquareC.startAnimation(animationC);
		lightSquareD.startAnimation(animationD);
		
		mShapesView.setOnKeyListener(new View.OnKeyListener(){

			public boolean onKey(View v, int keyCode, KeyEvent event){
				//Pressing the middle select key to switch to Bear mode
				if(keyCode==KeyEvent.KEYCODE_DPAD_CENTER && event.getAction() == KeyEvent.ACTION_UP){
					//Notify flashlight off
					Toast.makeText(randomShapes.this, "Shapes", Toast.LENGTH_SHORT).show();
					Intent intent = new Intent(randomShapes.this, Shapes.class);
					startActivity(intent);
					finish();
					return true;
				}else{
					return false;
				}
			}
		});
	}
}

